/*******************************************************************************
 * FoxSeqCond_GetGameType generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSeqCond_GetGameType extends SequenceCondition
    forcescriptorder(true)
    hidecategories(Object);

event Activated()
{
    local class<FoxGame> GameClass;

    GameClass = class<FoxGame>(GetWorldInfo().GRI.GameClass);
    switch(GameClass)
    {
        // End:0x74
        case class'FoxGameMP_DM':
            ActivateOutputLink(0);
            // End:0x133
            break;
        // End:0x8E
        case class'FoxGameMP_TDM':
            ActivateOutputLink(1);
            // End:0x133
            break;
        // End:0xA9
        case class'FoxGameMP_CP':
            ActivateOutputLink(2);
            // End:0x133
            break;
        // End:0xC4
        case class'FoxGameMP_CTF':
            ActivateOutputLink(3);
            // End:0x133
            break;
        // End:0xDF
        case class'FoxGameMP_Detonate':
            ActivateOutputLink(4);
            // End:0x133
            break;
        // End:0xFA
        case class'FoxGameMP_BO':
            ActivateOutputLink(5);
            // End:0x133
            break;
        // End:0x115
        case class'FoxGameMP_LMS':
            ActivateOutputLink(6);
            // End:0x133
            break;
        // End:0x130
        case class'FoxGameMP_LTS':
            ActivateOutputLink(7);
            // End:0x133
            break;
        // End:0xFFFF
        default:
            super(SequenceOp).Activated();
            //return;
    }    
}

static event int GetObjClassVersion()
{
    return super(SequenceObject).GetObjClassVersion() + 1;
    //return ReturnValue;    
}

defaultproperties
{
    OutputLinks(0)=(Links=none,LinkDesc="Deathmatch",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(1)=(Links=none,LinkDesc="Team Deathmatch",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(2)=(Links=none,LinkDesc="Control Point",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(3)=(Links=none,LinkDesc="Capture the Flag",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(4)=(Links=none,LinkDesc="Detonate",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(5)=(Links=none,LinkDesc="Black Ops",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(6)=(Links=none,LinkDesc="Last Man Standing",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(7)=(Links=none,LinkDesc="Last Team Standing",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    ObjName="Game Type"
}